# authorizeChannel | xrpl
Documentation for xrpl

# Function authorizeChannel

- authorizeChannel(wallet: Wallet, channelId: string, amount: string): string

- Creates a signature that can be used to redeem a specific amount of XRP from a payment channel.

  ### Returns

  A signature that can be used to redeem a specific amount of XRP from a payment channel.

  #### Parameters

  - ##### wallet: Wallet

    The account that will sign for this payment channel.

  - ##### channelId: string

    An id for the payment channel to redeem XRP from.

  - ##### amount: string

    The amount in drops to redeem.

  #### Returns string

  - Defined in packages/xrpl/src/Wallet/signer.ts:76

Generated using TypeDoc